<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CacheConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.config</a> &gt; <span class="el_source">CacheConfiguration.java</span></div><h1>CacheConfiguration.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.config;

import io.github.jhipster.config.JHipsterProperties;
import org.ehcache.config.builders.CacheConfigurationBuilder;
import org.ehcache.config.builders.ResourcePoolsBuilder;
import org.ehcache.expiry.Duration;
import org.ehcache.expiry.Expirations;
import org.ehcache.jsr107.Eh107Configuration;

import java.util.concurrent.TimeUnit;

import org.springframework.boot.autoconfigure.AutoConfigureAfter;
import org.springframework.boot.autoconfigure.AutoConfigureBefore;
import org.springframework.boot.autoconfigure.cache.JCacheManagerCustomizer;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.*;

@Configuration
@EnableCaching
@AutoConfigureAfter(value = { MetricsConfiguration.class })
@AutoConfigureBefore(value = { WebConfigurer.class, DatabaseConfiguration.class })
public class CacheConfiguration {

    private final javax.cache.configuration.Configuration&lt;Object, Object&gt; jcacheConfiguration;

<span class="fc" id="L26">    public CacheConfiguration(JHipsterProperties jHipsterProperties) {</span>
<span class="fc" id="L27">        JHipsterProperties.Cache.Ehcache ehcache =</span>
<span class="fc" id="L28">            jHipsterProperties.getCache().getEhcache();</span>

<span class="fc" id="L30">        jcacheConfiguration = Eh107Configuration.fromEhcacheCacheConfiguration(</span>
<span class="fc" id="L31">            CacheConfigurationBuilder.newCacheConfigurationBuilder(Object.class, Object.class,</span>
<span class="fc" id="L32">                ResourcePoolsBuilder.heap(ehcache.getMaxEntries()))</span>
<span class="fc" id="L33">                .withExpiry(Expirations.timeToLiveExpiration(Duration.of(ehcache.getTimeToLiveSeconds(), TimeUnit.SECONDS)))</span>
<span class="fc" id="L34">                .build());</span>
<span class="fc" id="L35">    }</span>

    @Bean
    public JCacheManagerCustomizer cacheManagerCustomizer() {
<span class="fc" id="L39">        return cm -&gt; {</span>
<span class="nc" id="L40">            cm.createCache(br.edu.unifacisa.lti.domain.User.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L41">            cm.createCache(br.edu.unifacisa.lti.domain.Authority.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L42">            cm.createCache(br.edu.unifacisa.lti.domain.User.class.getName() + &quot;.authorities&quot;, jcacheConfiguration);</span>
<span class="nc" id="L43">            cm.createCache(br.edu.unifacisa.lti.domain.Credenciamento.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L44">            cm.createCache(br.edu.unifacisa.lti.domain.GerenciadorCredenciamento.class.getName(), jcacheConfiguration);</span>
            // jhipster-needle-ehcache-add-entry
<span class="nc" id="L46">        };</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>